Installing XML-LibXML fails

Posted by porterde on 2008-09-19 11:05

I am trying to install the XML-LibXML package (from the uwinnipeg repository), and it fails with the message below. I was careful to install XML-LibXML-Common first, and I manually verified that the Common.dll is actually there. This is with ActivePerl version 5.10.0.1003.

Downloading XML-LibXML-1.65 ... done
Unpacking XML-LibXML-1.65 ... done
Generating HTML for XML-LibXML-1.65 ... done
Updating files in site area ... done
Downloading XML-LibXML-1.65 install script ... done
Running XML-LibXML-1.65 install script ... |
| Do you want to alter ParserDetails.ini? [yes]
| C:\Perl\bin\wperl.exe -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"
| Can't load 'C:/Perl/site/lib/auto/XML/LibXML/Common/Common.dll' for module XML::LibXML::Common: load_file:The specified module could not be found at C:/Perl/lib/DynaLoader.pm line 202.
| at C:/Perl/site/lib/XML/LibXML.pm line 12
| Compilation failed in require at C:/Perl/site/lib/XML/LibXML.pm line 12.
| BEGIN failed--compilation aborted at C:/Perl/site/lib/XML/LibXML.pm line 12.
| Compilation failed in require at C:/Perl/site/lib/XML/LibXML/SAX/Parser.pm line 8.
| BEGIN failed--compilation aborted at C:/Perl/site/lib/XML/LibXML/SAX/Parser.pm line 8.
| Compilation failed in require at C:/Perl/site/lib/XML/SAX.pm line 147.
| system C:\Perl\bin\wperl.exe -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()" failed: 2304 at install_script line 32.
done

I can also run this command from the command-line successfully:

wperl.exe -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"

The real issue is that when I try to run my CGI code that uses this module, I get a the same error message. This makes me thing that there is more required to get this working.

Any help on this is most appreciated.

Thanks!